-----------------------------------------------
-- Add Line Number
-----------------------------------------------
scriptObj = getScriptObject()

function split(str, pat)
   local t = {}  -- NOTE: use {n = 0} in Lua-5.0
   local fpat = "(.-)" .. pat
   local last_end = 1
   local s, e, cap = str:find(fpat, 1)
   while s do
      if s ~= 1 or cap ~= "" then
	 table.insert(t,cap)
      end
      last_end = e+1
      s, e, cap = str:find(fpat, last_end)
   end
   if last_end <= #str then
      cap = str:sub(last_end)
      table.insert(t, cap)
   end
   return t
end

-- Ctrl + A
scriptObj:keyDown(17)
scriptObj:keyDown(65)
scriptObj:keyUp(65)
scriptObj:keyUp(17)

scriptObj:sleep(50)

-- Ctrl + C
scriptObj:keyDown(17)
scriptObj:keyDown(67)
scriptObj:keyUp(67)
scriptObj:keyUp(17)

scriptObj:sleep(50)

-- add line number
src = scriptObj:readClipboard()

cnt = 1
out = ""
src_tbl = {}

src_tbl = split(src, "\n")

for i = 1, #src_tbl do
	out = out .. cnt .. "." .. src_tbl[i] .. "\n"
	cnt = cnt + 1
end

scriptObj:writeClipboard(out)

scriptObj:sleep(50)

-- Ctrl + V
scriptObj:keyDown(17)
scriptObj:keyDown(86)
scriptObj:keyUp(86)
scriptObj:keyUp(17)

